

DECLARE @RefORDNumber    VARCHAR(MAX)  
DECLARE @RefEVNTNumber   VARCHAR(MAX) 

SET @RefORDNumber=''
SET @RefEVNTNumber='6221'

DECLARE     @Order_Table   TABLE(
		ID			INT IDENTITY(1,1),
		ORDR_ID		Int
)
DECLARE	@RECID	TABLE (
     ID			INT IDENTITY(1,1),
	 REQ_ID	INT)
DECLARE	@CKTID	TABLE (
     ID			INT IDENTITY(1,1),
	 CKT_ID	VARCHAR(15))
DECLARE @VNDRORDRID TABLE (
	 ID			INT IDENTITY(1,1),
	 VNDR_ORDR_ID	INT)
DECLARE	@FTN	TABLE (
     ID			INT IDENTITY(1,1),
	 FTN	INT)		 

DECLARE     @Event_Table   TABLE(
		ID			INT IDENTITY(1,1),
		EVENT_ID		Int
)
DECLARE     @FSA_MDS_EVENT_ID  TABLE(
 ID			INT IDENTITY(1,1),
 FSA_MDS_EVENT_ID	INT)


-------------------------------------------------------------------------------------------------------------
----------------------------ORDER
-------------------------------------------------------------------------------------------------------------

INSERT INTO @Order_Table     (ORDR_ID)
select * FROM web.ParseCommaSeparatedIntegers(@RefORDNumber,',')	

INSERT INTO	@VNDRORDRID (VNDR_ORDR_ID)
SELECT	DISTINCT VNDR_ORDR_ID FROM	COWS.dbo.VNDR_ORDR WITH(NOLOCK) WHERE	ORDR_ID IN(SELECT DISTINCT ORDR_ID FROM @Order_Table )
UNION
SELECT	DISTINCT VNDR_ORDR_ID FROM	COWS.arch.VNDR_ORDR WITH(NOLOCK) WHERE	ORDR_ID IN(SELECT DISTINCT ORDR_ID FROM @Order_Table )

INSERT INTO	@CKTID (CKT_ID)
SELECT	DISTINCT RTRIM(LTRIM(CKT_ID)) FROM	COWS.dbo.CKT WITH(NOLOCK) WHERE	ORDR_ID IN(SELECT DISTINCT ORDR_ID FROM @Order_Table )
UNION
SELECT	DISTINCT RTRIM(LTRIM(CKT_ID)) FROM	COWS.dbo.CKT WITH(NOLOCK) WHERE	VNDR_ORDR_ID IN(SELECT DISTINCT VNDR_ORDR_ID FROM @VNDRORDRID )
UNION
SELECT	DISTINCT RTRIM(LTRIM(CKT_ID)) FROM	COWS.arch.CKT WITH(NOLOCK) WHERE	ORDR_ID IN(SELECT DISTINCT ORDR_ID FROM @Order_Table )
UNION
SELECT	DISTINCT RTRIM(LTRIM(CKT_ID)) FROM	COWS.arch.CKT WITH(NOLOCK) WHERE	VNDR_ORDR_ID IN(SELECT DISTINCT VNDR_ORDR_ID FROM @VNDRORDRID )


INSERT INTO	@FTN (FTN)
SELECT FTN FROM COWS.dbo.FSA_ORDR WITH (NOLOCK) WHERE ORDR_ID IN (SELECT ORDR_ID FROM @Order_Table)
UNION
SELECT FTN FROM COWS.arch.FSA_ORDR WITH (NOLOCK) WHERE ORDR_ID IN (SELECT ORDR_ID FROM @Order_Table)

INSERT INTO	@RECID (REQ_ID)
SELECT	DISTINCT REQ_ID FROM	COWS.dbo.ODIE_REQ WITH(NOLOCK) WHERE	ORDR_ID IN(SELECT DISTINCT ORDR_ID FROM @Order_Table )
UNION
SELECT	DISTINCT REQ_ID FROM	COWS.arch.ODIE_REQ WITH(NOLOCK) WHERE	ORDR_ID IN(SELECT DISTINCT ORDR_ID FROM @Order_Table )

-------------------------------------------------------------------------------------------------------------
----------------------------EVENT
-------------------------------------------------------------------------------------------------------------

INSERT INTO @Event_Table     (EVENT_ID)	
select * FROM web.ParseCommaSeparatedIntegers(@RefEVNTNumber,',')

INSERT INTO	@FSA_MDS_EVENT_ID (FSA_MDS_EVENT_ID)	
SELECT  [FSA_MDS_EVENT_ID] FROM	[COWS].[dbo].[FSA_MDS_EVENT_NEW] WITH(NOLOCK) WHERE   EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )
UNION 
SELECT  [FSA_MDS_EVENT_ID] FROM	[COWS].[arch].[FSA_MDS_EVENT_NEW] WITH(NOLOCK) WHERE   EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )

INSERT INTO	@RECID (REQ_ID)
SELECT	DISTINCT [REQ_ID] FROM	[COWS].[dbo].[ODIE_REQ] WITH(NOLOCK) WHERE	[MDS_EVENT_ID]	IN	(SELECT EVENT_ID FROM	@Event_Table)
UNION 
SELECT	DISTINCT [REQ_ID] FROM	[COWS].[arch].[ODIE_REQ] WITH(NOLOCK) WHERE	[MDS_EVENT_ID]	IN	(SELECT EVENT_ID FROM	@Event_Table)

	
DECLARE @Ctr1	INT
SET		@Ctr1	= 0
SELECT  @CTr1	= COUNT(1) FROM @Order_Table

DECLARE @Ctr2	INT
SET		@Ctr2	= 0
SELECT  @CTr2	= COUNT(1) FROM @Event_Table

IF	(@Ctr1 > 0 OR @Ctr2 > 0)
	BEGIN 
	PRINT '-----------------------------------------------------------'
	PRINT 'DBO tables Count'
	PRINT '-----------------------------------------------------------'
	SELECT COUNT(1)  AS  [ACT_TASK] FROM	[COWS].[dbo].[ACT_TASK] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [WG_PTRN_STUS] FROM    COWS.dbo.[WG_PTRN_STUS] WITH (NOLOCK) WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [WG_PROF_STUS] FROM	[COWS].[dbo].[WG_PROF_STUS] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [ORDR_NTE] FROM	[COWS].[dbo].[ORDR_NTE] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [ORDR_ADR] FROM	[COWS].[dbo].[ORDR_ADR] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [ORDR_CNTCT] FROM	[COWS].[dbo].[ORDR_CNTCT] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [FSA_IP_ADR] FROM	[COWS].[dbo].[FSA_IP_ADR] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [FSA_MDS_EVENT] FROM	[COWS].[dbo].[FSA_MDS_EVENT] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table)
	SELECT COUNT(1)  AS  [FSA_MDS_EVENT_NEW] FROM	[COWS].[dbo].[FSA_MDS_EVENT_NEW] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table)
	SELECT COUNT(1)  AS  [FSA_MDS_EVENT_ORDR] FROM	[COWS].[dbo].[FSA_MDS_EVENT_ORDR] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table)
	SELECT COUNT(1)  AS  [FSA_MDS_EVENT_ORDR] FROM	[COWS].[dbo].[FSA_MDS_EVENT_ORDR] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [FSA_ORDR] FROM	[COWS].[dbo].[FSA_ORDR] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)	
	SELECT COUNT(1)  AS  [FSA_ORDR_BILL_LINE_ITEM] FROM	[COWS].[dbo].[FSA_ORDR_BILL_LINE_ITEM] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [FSA_ORDR_CPE_LINE_ITEM] FROM	[COWS].[dbo].[FSA_ORDR_CPE_LINE_ITEM] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [FSA_ORDR_CSC] FROM	[COWS].[dbo].[FSA_ORDR_CSC] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [FSA_ORDR_CUST] FROM	[COWS].[dbo].[FSA_ORDR_CUST] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [FSA_ORDR_GOM_XNCI] FROM	[COWS].[dbo].[FSA_ORDR_GOM_XNCI] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [FSA_ORDR_MSG] FROM	[COWS].[dbo].[FSA_ORDR_MSG] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [FSA_ORDR_RELTD_ORDR] FROM	[COWS].[dbo].[FSA_ORDR_RELTD_ORDR] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [FSA_ORDR_VAS] FROM	[COWS].[dbo].[FSA_ORDR_VAS] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [IPL_ORDR] FROM	[COWS].[dbo].[IPL_ORDR] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [IPL_ORDR_ACCS_INFO] FROM	[dbo].[IPL_ORDR_ACCS_INFO] WITH(NOLOCK) WHERE ORDR_ID IN (SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [IPL_ORDR_CKT] FROM	[dbo].[IPL_ORDR_CKT] WITH(NOLOCK) WHERE ORDR_ID IN 	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [IPL_ORDR_EQPT] FROM	[dbo].[IPL_ORDR_EQPT] WITH(NOLOCK) WHERE ORDR_ID IN (SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [NCCO_ORDR] FROM	[COWS].[dbo].[NCCO_ORDR] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [EVENT_HIST] FROM	[COWS].[dbo].[EVENT_HIST] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table)
	SELECT COUNT(1)  AS [SIP_TRNK_GRP] FROM  [COWS].[dbo].[SIP_TRNK_GRP] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS [SPLK_EVENT] FROM  [COWS].[dbo].[SPLK_EVENT] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )
	SELECT COUNT(1)  AS [SPLK_EVENT_ACCS] FROM  [COWS].[dbo].[SPLK_EVENT_ACCS] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )
	SELECT COUNT(1)  AS [AD_EVENT] FROM  [COWS].[dbo].[AD_EVENT] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table)
	SELECT COUNT(1)  AS [AD_EVENT_ACCS_TAG] FROM  [COWS].[dbo].[AD_EVENT_ACCS_TAG] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table)
	SELECT COUNT(1)  AS [AD_EVENT_ACCS_TAG] FROM  [COWS].[dbo].[AD_EVENT_ACCS_TAG] WITH(NOLOCK)	WHERE CKT_ID	IN	(SELECT CKT_ID FROM	@CKTID)
	SELECT COUNT(1)  AS [MDS_EVENT] FROM  [COWS].[dbo].[MDS_EVENT] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table)
	SELECT COUNT(1)  AS [MDS_EVENT_ACCS] FROM  [COWS].[dbo].[MDS_EVENT_ACCS] WITH(NOLOCK)	WHERE [FSA_MDS_EVENT_ID]	IN	( SELECT [FSA_MDS_EVENT_ID]  FROM [dbo].[FSA_MDS_EVENT]WITH(NOLOCK) WHERE EVENT_ID IN(  SELECT EVENT_ID FROM	@Event_Table))
	SELECT COUNT(1)  AS [MDS_EVENT_CPE] FROM  [dbo].[MDS_EVENT_CPE] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS [MDS_EVENT_CPE] FROM  [COWS].[dbo].[MDS_EVENT_CPE] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)						
	SELECT COUNT(1)  AS [MDS_EVENT_DISCO] FROM  [COWS].[dbo].[MDS_EVENT_DISCO] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )
	SELECT COUNT(1)  AS [MDS_EVENT_DSL_TRPT] FROM  [COWS].[dbo].[MDS_EVENT_DSL_TRPT] WITH(NOLOCK)	WHERE [FSA_MDS_EVENT_ID] IN	( SELECT [FSA_MDS_EVENT_ID]  FROM [dbo].[FSA_MDS_EVENT]WITH(NOLOCK) WHERE EVENT_ID IN(  SELECT EVENT_ID FROM	@Event_Table))
	SELECT COUNT(1)  AS [NGVN_EVENT] FROM  [COWS].[dbo].[NGVN_EVENT] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )			
	SELECT COUNT(1)  AS [NGVN_EVENT_CKT_ID_NUA] FROM  [COWS].[dbo].[NGVN_EVENT_CKT_ID_NUA] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )
	SELECT COUNT(1)  AS [NGVN_EVENT_SIP_TRNK] FROM  [COWS].[dbo].[NGVN_EVENT_SIP_TRNK] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )
	SELECT COUNT(1)  AS [MDS_EVENT_FMS_CKT] FROM [dbo].[MDS_EVENT_FMS_CKT] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS [MDS_EVENT_FMS_CKT] FROM  [COWS].[dbo].[MDS_EVENT_FMS_CKT] WITH(NOLOCK)	WHERE CKT_ID	IN	(SELECT CONVERT(varchar(10), CKT_ID) FROM	@CKTID)
	SELECT COUNT(1)  AS [MDS_EVENT_FORM_CHNG] FROM  [COWS].[dbo].[MDS_EVENT_FORM_CHNG] WITH(NOLOCK)	WHERE [MDS_EVENT_ID]	IN	(SELECT EVENT_ID FROM	@Event_Table )						
	SELECT COUNT(1)  AS [MDS_EVENT_LOC] FROM  [COWS].[dbo].[MDS_EVENT_LOC] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )
	SELECT COUNT(1)  AS [MDS_EVENT_MAC_ACTY] FROM  [COWS].[dbo].[MDS_EVENT_MAC_ACTY] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )
	SELECT COUNT(1)  AS [MDS_EVENT_MNGD_DEV] FROM  [dbo].[MDS_EVENT_MNGD_DEV] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS  [MDS_EVENT_MNGD_DEV] FROM  [COWS].[dbo].[MDS_EVENT_MNGD_DEV] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [MDS_EVENT_MNS] FROM [dbo].[MDS_EVENT_MNS] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS  [MDS_EVENT_MNS] FROM  [COWS].[dbo].[MDS_EVENT_MNS] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS [MDS_EVENT_MNS_OE] FROM  [dbo].[MDS_EVENT_MNS_OE] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS  [MDS_EVENT_MNS_OE] FROM  [COWS].[dbo].[MDS_EVENT_MNS_OE] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [MDS_EVENT_NEW] FROM  [COWS].[dbo].[MDS_EVENT_NEW] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table)
	SELECT COUNT(1)  AS [MDS_EVENT_ODIE_DEV_NME] FROM [dbo].[MDS_EVENT_ODIE_DEV_NME] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS [MDS_EVENT_PVC] FROM [dbo].[MDS_EVENT_PVC] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS [MDS_EVENT_SPAE_TRPT] FROM [dbo].[MDS_EVENT_SPAE_TRPT] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS [MDS_EVENT_SPRINT_LINK_ATM_TRPT] FROM[dbo].[MDS_EVENT_SPRINT_LINK_ATM_TRPT] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS [MDS_EVENT_VLAN] FROM [dbo].[MDS_EVENT_VLAN] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS [MDS_EVENT_VRTL_CNCTN] FROM	[dbo].[MDS_EVENT_VRTL_CNCTN] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS [MDS_EVENT_WIRED_TRNSPRT_DEV] FROM	[dbo].[MDS_EVENT_WIRED_TRNSPRT_DEV] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS [MDS_EVENT_WIRED_TRPT] FROM	[dbo].[MDS_EVENT_WIRED_TRPT] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS [MDS_EVENT_WIRED_TRPT] FROM	[dbo].[MDS_EVENT_WRLS_TRNSPRT_DEV] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS [MDS_EVENT_WRLS_TRPT] FROM	[dbo].[MDS_EVENT_WRLS_TRPT] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS [MDS_MNGD_ACT] FROM	[COWS].[dbo].[MDS_MNGD_ACT] WITH(NOLOCK) WHERE REQ_ID IN (SELECT REQ_ID FROM [COWS].[dbo].[ODIE_REQ] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table))
	SELECT COUNT(1)  AS [MDS_MNGD_ACT] FROM	[COWS].[dbo].[MDS_MNGD_ACT] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )
	SELECT COUNT(1)  AS [MDS_MNGD_ACT_NEW] FROM	[COWS].[dbo].[MDS_MNGD_ACT_NEW] WITH(NOLOCK) WHERE REQ_ID IN (SELECT REQ_ID FROM [COWS].[dbo].[ODIE_REQ] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table))
	SELECT COUNT(1)  AS [MDS_MNGD_ACT_NEW] FROM	[COWS].[dbo].[MDS_MNGD_ACT_NEW] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )
	SELECT COUNT(1)  AS [MPLS_ACCS] FROM	[COWS].[dbo].[MPLS_ACCS] WITH(NOLOCK)	WHERE CKT_ID	IN	(SELECT  CKT_ID  FROM	@CKTID)																																																															
	SELECT COUNT(1)  AS [MPLS_EVENT] FROM	[COWS].[dbo].[MPLS_EVENT] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )
	SELECT COUNT(1)  AS [MPLS_EVENT_ACCS_TAG] FROM	[COWS].[dbo].[MPLS_EVENT_ACCS_TAG] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )
	SELECT COUNT(1)  AS [MPLS_EVENT_ACTY_TYPE] FROM	[COWS].[dbo].[MPLS_EVENT_ACTY_TYPE] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )
	SELECT COUNT(1)  AS [MPLS_EVENT_VAS_TYPE] FROM	[COWS].[dbo].[MPLS_EVENT_VAS_TYPE] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )			

	PRINT '-----------------------------------------------------------'
	PRINT 'Archive tables Count'
	PRINT '-----------------------------------------------------------'
	SELECT COUNT(1)  AS  [ARCH ACT_TASK] FROM	[COWS].[arch].[ACT_TASK] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [ARCH WG_PTRN_STUS] FROM    COWS.[arch].[WG_PTRN_STUS] WITH (NOLOCK) WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [ARCH WG_PROF_STUS] FROM	[COWS].[arch].[WG_PROF_STUS] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [ARCH ORDR_NTE] FROM	[COWS].[arch].[ORDR_NTE] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [ARCH ORDR_ADR] FROM	[COWS].[arch].[ORDR_ADR] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [ARCH ORDR_CNTCT] FROM	[COWS].[arch].[ORDR_CNTCT] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [ARCH FSA_IP_ADR] FROM	[COWS].[arch].[FSA_IP_ADR] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [ARCH FSA_MDS_EVENT] FROM	[COWS].[arch].[FSA_MDS_EVENT] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table)
	SELECT COUNT(1)  AS  [ARCH FSA_MDS_EVENT_NEW] FROM	[COWS].[arch].[FSA_MDS_EVENT_NEW] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table)
	SELECT COUNT(1)  AS  [ARCH FSA_MDS_EVENT_ORDR] FROM	[COWS].[arch].[FSA_MDS_EVENT_ORDR] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table)
	SELECT COUNT(1)  AS  [ARCH FSA_MDS_EVENT_ORDR] FROM	[COWS].[arch].[FSA_MDS_EVENT_ORDR] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [ARCH FSA_ORDR] FROM	[COWS].[arch].[FSA_ORDR] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)	
	SELECT COUNT(1)  AS  [ARCH FSA_ORDR_BILL_LINE_ITEM] FROM	[COWS].[arch].[FSA_ORDR_BILL_LINE_ITEM] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [ARCH FSA_ORDR_CPE_LINE_ITEM] FROM	[COWS].[arch].[FSA_ORDR_CPE_LINE_ITEM] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [ARCH FSA_ORDR_CSC] FROM	[COWS].[arch].[FSA_ORDR_CSC] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [ARCH FSA_ORDR_CUST] FROM	[COWS].[arch].[FSA_ORDR_CUST] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [ARCH FSA_ORDR_GOM_XNCI] FROM	[COWS].[arch].[FSA_ORDR_GOM_XNCI] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [ARCH FSA_ORDR_MSG] FROM	[COWS].[arch].[FSA_ORDR_MSG] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [ARCH FSA_ORDR_RELTD_ORDR] FROM	[COWS].[arch].[FSA_ORDR_RELTD_ORDR] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [ARCH FSA_ORDR_VAS] FROM	[COWS].[dbo].[FSA_ORDR_VAS] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [ARCH IPL_ORDR] FROM	[COWS].[arch].[IPL_ORDR] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [ARCH IPL_ORDR_ACCS_INFO] FROM	[arch].[IPL_ORDR_ACCS_INFO] WITH(NOLOCK) WHERE ORDR_ID IN (SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [ARCH IPL_ORDR_CKT] FROM	[arch].[IPL_ORDR_CKT] WITH(NOLOCK) WHERE ORDR_ID IN 	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [ARCH IPL_ORDR_EQPT] FROM	[arch].[IPL_ORDR_EQPT] WITH(NOLOCK) WHERE ORDR_ID IN (SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [ARCH NCCO_ORDR] FROM	[COWS].[arch].[NCCO_ORDR] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [ARCH EVENT_HIST] FROM	[COWS].[arch].[EVENT_HIST] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table)
	SELECT COUNT(1)  AS [ARCH SIP_TRNK_GRP] FROM  [COWS].[arch].[SIP_TRNK_GRP] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS [ARCH SPLK_EVENT] FROM  [COWS].[arch].[SPLK_EVENT] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )
	SELECT COUNT(1)  AS [ARCH SPLK_EVENT_ACCS] FROM  [COWS].[arch].[SPLK_EVENT_ACCS] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )
	SELECT COUNT(1)  AS [ARCH AD_EVENT] FROM  [COWS].[arch].[AD_EVENT] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table)
	SELECT COUNT(1)  AS [ARCH AD_EVENT_ACCS_TAG] FROM  [COWS].[arch].[AD_EVENT_ACCS_TAG] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table)
	SELECT COUNT(1)  AS [ARCH AD_EVENT_ACCS_TAG] FROM  [COWS].[arch].[AD_EVENT_ACCS_TAG] WITH(NOLOCK)	WHERE CKT_ID	IN	(SELECT CKT_ID FROM	@CKTID)
	SELECT COUNT(1)  AS [ARCH MDS_EVENT] FROM  [COWS].[arch].[MDS_EVENT] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table)
	SELECT COUNT(1)  AS [ARCH MDS_EVENT_ACCS] FROM  [COWS].[arch].[MDS_EVENT_ACCS] WITH(NOLOCK)	WHERE [FSA_MDS_EVENT_ID]	IN	( SELECT [FSA_MDS_EVENT_ID]  FROM [dbo].[FSA_MDS_EVENT]WITH(NOLOCK) WHERE EVENT_ID IN(  SELECT EVENT_ID FROM	@Event_Table))
	SELECT COUNT(1)  AS [ARCH MDS_EVENT_CPE] FROM  [arch].[MDS_EVENT_CPE] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS [ARCH MDS_EVENT_CPE] FROM  [COWS].[arch].[MDS_EVENT_CPE] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)						
	SELECT COUNT(1)  AS [ARCH MDS_EVENT_DISCO] FROM  [COWS].[arch].[MDS_EVENT_DISCO] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )
	SELECT COUNT(1)  AS [ARCH MDS_EVENT_DSL_TRPT] FROM  [COWS].[arch].[MDS_EVENT_DSL_TRPT] WITH(NOLOCK)	WHERE [FSA_MDS_EVENT_ID] IN	( SELECT [FSA_MDS_EVENT_ID]  FROM [dbo].[FSA_MDS_EVENT]WITH(NOLOCK) WHERE EVENT_ID IN(  SELECT EVENT_ID FROM	@Event_Table))
	SELECT COUNT(1)  AS [ARCH NGVN_EVENT] FROM  [COWS].[arch].[NGVN_EVENT] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )			
	SELECT COUNT(1)  AS [ARCH NGVN_EVENT_CKT_ID_NUA] FROM  [COWS].[arch].[NGVN_EVENT_CKT_ID_NUA] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )
	SELECT COUNT(1)  AS [ARCH NGVN_EVENT_SIP_TRNK] FROM  [COWS].[arch].[NGVN_EVENT_SIP_TRNK] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )
	SELECT COUNT(1)  AS [ARCH MDS_EVENT_FMS_CKT] FROM [arch].[MDS_EVENT_FMS_CKT] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS [ARCH MDS_EVENT_FMS_CKT] FROM  [COWS].[arch].[MDS_EVENT_FMS_CKT] WITH(NOLOCK)	WHERE CKT_ID	IN	(SELECT CONVERT(varchar(10), CKT_ID) FROM	@CKTID)
	SELECT COUNT(1)  AS [ARCH MDS_EVENT_FORM_CHNG] FROM  [COWS].[arch].[MDS_EVENT_FORM_CHNG] WITH(NOLOCK)	WHERE [MDS_EVENT_ID]	IN	(SELECT EVENT_ID FROM	@Event_Table )						
	SELECT COUNT(1)  AS [ARCH MDS_EVENT_LOC] FROM  [COWS].[arch].[MDS_EVENT_LOC] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )
	SELECT COUNT(1)  AS [ARCH MDS_EVENT_MAC_ACTY] FROM  [COWS].[arch].[MDS_EVENT_MAC_ACTY] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )
	SELECT COUNT(1)  AS [ARCH MDS_EVENT_MNGD_DEV] FROM  [arch].[MDS_EVENT_MNGD_DEV] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS  [ARCH MDS_EVENT_MNGD_DEV] FROM  [COWS].[arch].[MDS_EVENT_MNGD_DEV] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [ARCH MDS_EVENT_MNS] FROM [arch].[MDS_EVENT_MNS] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS  [ARCH MDS_EVENT_MNS] FROM  [COWS].[arch].[MDS_EVENT_MNS] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS [ARCH MDS_EVENT_MNS_OE] FROM  [arch].[MDS_EVENT_MNS_OE] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS  [ARCH MDS_EVENT_MNS_OE] FROM  [COWS].[arch].[MDS_EVENT_MNS_OE] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table)
	SELECT COUNT(1)  AS  [ARCH MDS_EVENT_NEW] FROM  [COWS].[arch].[MDS_EVENT_NEW] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table)
	SELECT COUNT(1)  AS [ARCH MDS_EVENT_ODIE_DEV_NME] FROM [arch].[MDS_EVENT_ODIE_DEV_NME] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS [ARCH MDS_EVENT_PVC] FROM [arch].[MDS_EVENT_PVC] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS [ARCH MDS_EVENT_SPAE_TRPT] FROM [arch].[MDS_EVENT_SPAE_TRPT] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS [ARCH MDS_EVENT_SPRINT_LINK_ATM_TRPT] FROM [arch].[MDS_EVENT_SPRINT_LINK_ATM_TRPT] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS [ARCH MDS_EVENT_VLAN] FROM [arch].[MDS_EVENT_VLAN] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS [ARCH MDS_EVENT_VRTL_CNCTN] FROM	[arch].[MDS_EVENT_VRTL_CNCTN] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS [ARCH MDS_EVENT_WIRED_TRNSPRT_DEV] FROM	[arch].[MDS_EVENT_WIRED_TRNSPRT_DEV] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS [ARCH MDS_EVENT_WIRED_TRPT] FROM	[arch].[MDS_EVENT_WIRED_TRPT] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS [ARCH MDS_EVENT_WIRED_TRPT] FROM	[arch].[MDS_EVENT_WRLS_TRNSPRT_DEV] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS [ARCH MDS_EVENT_WRLS_TRPT] FROM	[arch].[MDS_EVENT_WRLS_TRPT] WHERE [FSA_MDS_EVENT_ID] IN (SELECT  [FSA_MDS_EVENT_ID]  FROM  @FSA_MDS_EVENT_ID)
	SELECT COUNT(1)  AS [ARCH MDS_MNGD_ACT] FROM	[COWS].[arch].[MDS_MNGD_ACT] WITH(NOLOCK) WHERE REQ_ID IN (SELECT REQ_ID FROM [COWS].[dbo].[ODIE_REQ] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table))
	SELECT COUNT(1)  AS [ARCH MDS_MNGD_ACT] FROM	[COWS].[arch].[MDS_MNGD_ACT] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )
	SELECT COUNT(1)  AS [ARCH MDS_MNGD_ACT_NEW] FROM	[COWS].[arch].[MDS_MNGD_ACT_NEW] WITH(NOLOCK) WHERE REQ_ID IN (SELECT REQ_ID FROM [COWS].[dbo].[ODIE_REQ] WITH(NOLOCK)	WHERE ORDR_ID	IN	(SELECT ORDR_ID FROM	@Order_Table))
	SELECT COUNT(1)  AS [ARCH MDS_MNGD_ACT_NEW] FROM	[COWS].[arch].[MDS_MNGD_ACT_NEW] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )
	SELECT COUNT(1)  AS [ARCH MPLS_ACCS] FROM	[COWS].[arch].[MPLS_ACCS] WITH(NOLOCK)	WHERE CKT_ID	IN	(SELECT  CKT_ID  FROM	@CKTID)																																																															
	SELECT COUNT(1)  AS [ARCH MPLS_EVENT] FROM	[COWS].[arch].[MPLS_EVENT] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )
	SELECT COUNT(1)  AS [ARCH MPLS_EVENT_ACCS_TAG] FROM	[COWS].[arch].[MPLS_EVENT_ACCS_TAG] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )
	SELECT COUNT(1)  AS [ARCH MPLS_EVENT_ACTY_TYPE] FROM	[COWS].[arch].[MPLS_EVENT_ACTY_TYPE] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )
	SELECT COUNT(1)  AS [ARCH MPLS_EVENT_VAS_TYPE] FROM	[COWS].[arch].[MPLS_EVENT_VAS_TYPE] WITH(NOLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@Event_Table )			


END		
